Bug 5281 - "Check in" then "Renew" checkboxes checked in the same time
Summary: "Check in" then "Renew" checkboxes checked in the same time
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) trivial (vote)
Assignee: Brice Sanchez
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-06 14:42 UTC by Brice Sanchez
Modified: 2012-10-25 22:53 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
"Check in" then "Renew" checkboxes checked in the same time (5.64 KB, image/png)
2010-10-06 14:42 UTC, Brice Sanchez
Details
Fix for bug 5281 (4.61 KB, patch)
2010-10-07 15:18 UTC, Brice Sanchez
Details | Diff | Splinter Review
Proposed alterantive fix (8.12 KB, patch)
2010-10-15 13:45 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Brice Sanchez 2010-10-06 14:42:13 UTC
Created attachment 2667 [details]
"Check in" then "Renew" checkboxes checked in the same time

In "Home › Circulation › Checkouts › briceSanc" . 

I'm unable to check "Renew" then "Check in" in the same time (i think its normal) but i'm able to check "Check in" then "Renew".

I'm speaking about the checkboxes in the 'Checkout(s)' html table
Comment 1 Brice Sanchez 2010-10-06 14:42:48 UTC
I have a patch !
Comment 2 Brice Sanchez 2010-10-07 15:18:35 UTC
Created attachment 2680 [details] [review]
Fix for bug 5281
Comment 3 Owen Leonard 2010-10-07 16:49:15 UTC
I found that this patch didn't help instances where the librarian has used the "override renewal limit" option.
Comment 4 Brice Sanchez 2010-10-07 20:15:57 UTC
(In reply to comment #3)
> I found that this patch didn't help instances where the librarian has used the
> "override renewal limit" option.

I'm sorry but i don't understand what you mean. My patch is just a JS fix.
Comment 5 Owen Leonard 2010-10-11 12:13:27 UTC
> I'm sorry but i don't understand what you mean. My patch is just a JS fix.

Yes, and the behavior I'm seeing is tied to JS. If the patron has checkouts which have been renewed too many times or they have checkouts which are on hold for someone else the renewal checkbox will be hidden. The staff user has the option of checking the "override" checkbox at the bottom of the table to override the renewal limit. When this is done the renew/check in checkboxes show the old buggy behavior.
Comment 6 Brice Sanchez 2010-10-12 14:26:56 UTC
(In reply to comment #5)
> > I'm sorry but i don't understand what you mean. My patch is just a JS fix.
> 
> Yes, and the behavior I'm seeing is tied to JS. If the patron has checkouts
> which have been renewed too many times or they have checkouts which are on hold
> for someone else the renewal checkbox will be hidden. The staff user has the
> option of checking the "override" checkbox at the bottom of the table to
> override the renewal limit. When this is done the renew/check in checkboxes
> show the old buggy behavior.

Ok, I see. This is the javascript that handles the clicks on the TD who is not working properly, it could be turned off !?
Comment 7 Owen Leonard 2010-10-15 13:45:22 UTC
Created attachment 2690 [details] [review]
Proposed alterantive fix

This fix corrects the behavior of the checkboxes whether the user clicks the checkbox itself or the <td> around it. Tested on a PC in Firefox 3.6, Chrome, Safari 5, and IE 8.
Comment 8 Chris Nighswonger 2010-11-12 21:01:02 UTC
Signed off and resubmitted. Applies to current HEAD.
Comment 9 Chris Cormack 2010-11-29 19:39:41 UTC
Patch pushed please test and close
Comment 10 MJ Ray (software.coop) 2010-12-10 10:23:29 UTC
This bug is mentioned in:
Fix for Bug 5281,	&quot;Check in&quot; then &quot;Renew&quot; checkboxes checked in the same time http://lists.koha-community.org/pipermail/koha-patches/2010-November/012946.html
Comment 11 Liz Rea 2010-12-23 19:33:16 UTC
I confirm that the buggy behavior has been eradicated both with and without the override checkbox checked.